Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class RemoteMethodInvocationResult

    java.lang.Object
      org.jboss.remoting.RemoteMethodInvocationResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClassRequestedMethodInvocationResult

public class RemoteMethodInvocationResult
extends Object
implements Serializable

RemoteMethodInvocationResult is a return object from a call to a remote Server Invoker. The RemoteMethodInvocationResult may contain either an Exception or a result value (which may be null in the case the user returns null)

Version:
  $Revision: 1.2 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`RemoteMethodInvocationResult(String sessionId, Object result, boolean isException, Map payload)`

Method Summary
`Map` | `getPayload()`
`ClassBytes` | `getResult()`
`String` | `getSessionId()`
`boolean` | `isException()`
`byte[]` | `serialize()` convenenience method to return this objects as a serialized byte array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteMethodInvocationResult

    public RemoteMethodInvocationResult(String sessionId,
                                        Object result,
                                        boolean isException,
                                        Map payload)
                                 throws IOException

Method Detail

### getSessionId

    public String getSessionId()

### getPayload

    public Map getPayload()

### isException

    public boolean isException()

### getResult

    public ClassBytes getResult()

### serialize

    public byte[] serialize()
                     throws IOException

  convenenience method to return this objects as a serialized byte array

  Returns:
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.